scale_linetype {ggplot2} | R Documentation

## Scale for line patterns.

### Description

Default line types based on a set supplied by Richard Pearson, University of Manchester. Line types can not be mapped to continuous values.

### Usage

    scale_linetype(..., na.value = "blank")

    scale_linetype_continuous(...)

    scale_linetype_discrete(..., na.value = "blank")

### Arguments

`...` | common discrete scale parameters: `name`, `breaks`, `labels`, `na.value`, `limits` and `guide`. See `discrete_scale` for more details
`na.value` | The linetype to use for `NA` values.

### Examples

    base <- ggplot(economics_long, aes(date, value01))
    base + geom_line(aes(group = variable))
    base + geom_line(aes(linetype = variable))

    # See scale_manual for more flexibility

[Package ggplot2 version 2.1.0 Index]